| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Num.IVector< T > Interface Template Reference

Generic Vector interface More...

## Public Member Functions
T[] | ToArray ()
| Copy all elements of this vector to an array. More...
double | NormP (double p)
| p-norm, p-th root of sum of absolute values of components raised to the power of p. More...
void | Normalize ()
| Normalizes the current vector. More...
void | Negate ()
| Changes the sign of the current vector. More...

## Properties
int | Length`[get]`
| Gets the number of rows. More...
T | this[int i]`[get, set]`
| Gets or set the element indexed by `i` in the `Vector`. More...
double | Norm`[get]`
| Gets Euclidean norm of the vector. More...
double | Norm2`[get]`
| Gets Euclidean norm of the vector. More...
double | NormEuclidean`[get]`
| Gets Euclidean norm of the vector. More...
double | SquaredNorm`[get]`
| Squared Euclidean norm, sum of squared components. More...
double | Norm1`[get]`
| 1-norm (Manhattan norm or Taxicab norm), sum of absolute values of components. More...
double | NormInf`[get]`
| Infinity-norm, maximum absolute value of any component. More...

## Detailed Description

Generic Vector interface

$A Igor Sep08;

## Member Function Documentation

T [] IG.Num.IVector< T >.ToArray | ( |  | ) |

Copy all elements of this vector to an array.

double IG.Num.IVector< T >.NormP | ( | double | p | ) |

p-norm, p-th root of sum of absolute values of components raised to the power of p.

void IG.Num.IVector< T >.Normalize | ( |  | ) |

Normalizes the current vector.

Returns

void IG.Num.IVector< T >.Negate | ( |  | ) |

Changes the sign of the current vector.

Returns

## Property Documentation

int IG.Num.IVector< T >.Length
| get

Gets the number of rows.

T IG.Num.IVector< T >.this[int i]
| get set

Gets or set the element indexed by `i` in the `Vector`.

Parameters

  i | Element index (zero-based by agreement).

double IG.Num.IVector< T >.Norm
| get

Gets Euclidean norm of the vector.

double IG.Num.IVector< T >.Norm2
| get

Gets Euclidean norm of the vector.

double IG.Num.IVector< T >.NormEuclidean
| get

Gets Euclidean norm of the vector.

double IG.Num.IVector< T >.SquaredNorm
| get

Squared Euclidean norm, sum of squared components.

double IG.Num.IVector< T >.Norm1
| get

1-norm (Manhattan norm or Taxicab norm), sum of absolute values of components.

double IG.Num.IVector< T >.NormInf
| get

Infinity-norm, maximum absolute value of any component.

The documentation for this interface was generated from the following file:

- igbase/numeric/VectorBase.cs